# $Revision: 1.87 $, $Date: 2006/11/08 19:10:42 $
# TODO:
#   ppc support
#
# Conditional build:
%bcond_with	license_agreement	# generates package
%define		source_url      http://www4.mplayerhq.hu/MPlayer/releases/codecs/
#
%define		base_name	w32codec
Summary:	Binary compression/decompression libraries used by movie players
Summary(pl):	Binarne biblioteki do kompresji/dekompresji dla odtwarzaczy filmw
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
%define		_rel	1
Version:	20061022
Release:	%{_rel}%{?with_license_agreement:wla}
License:	Free for non-commercial use
Group:		Libraries
%if %{with license_agreement}
Source0:	%{source_url}all-%{version}.tar.bz2
#Source1:	%{source_url}qt6dlls.tar.bz2
#Source2:	%{source_url}qtextras.tar.bz2
#Source3:	%{source_url}rp8codecs.tar.bz2
#Source4:	%{source_url}rp9codecs.tar.bz2
#Source5:	%{source_url}xanimdlls.tar.bz2
#Source6:	http://www.ezgoal.com/dll_files/tsd32.zip
BuildRequires:	unzip
Provides:	avi-codecs
Obsoletes:	avi-codecs
Obsoletes:	w32codec-qt
%else
Source0:	license-installer.sh
Requires:	rpm-build-tools
Requires:	unzip
Provides:	%{base_name}
%endif
AutoReqProv:	no
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries required to compress/decompress content of movie files. They
are used by movie players, but can be used to create compressed movie
files.

%description -l pl
Biblioteki niezbdne do kompresji/dekompresji filmw. S one
wykorzystywane przez odtwarzacze, ale mog by uyte do tworzenia
kompresowanych plikw z filmami.

%prep
%if %{with license_agreement}
%setup -q -n all-%{version}
#bzcat %{SOURCE1} | tar xf -
#bzcat %{SOURCE2} | tar xf -
#bzcat %{SOURCE3} | tar xf -
#bzcat %{SOURCE4} | tar xf -
#bzcat %{SOURCE5} | tar xf -
#unzip %{SOURCE6}
#mv TSD32.DLL tsd32.dll
#for f in */*; do mv $f .; done
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
' %{SOURCE0} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT%{_libdir}/codecs
install *.* $RPM_BUILD_ROOT%{_libdir}/codecs
rm -f $RPM_BUILD_ROOT%{_libdir}/codecs/*_linuxELFx86c6.xa
%endif

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%if %{with license_agreement}
%{_libdir}/codecs
%else
%attr(755,root,root) %{_bindir}/w32codec.install
%{_datadir}/%{base_name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: w32codec.spec,v $
Revision 1.87  2006/11/08 19:10:42  witekfl
- updated to 20061022

Revision 1.86  2006/10/12 22:32:28  wolf
- http://www.ezgoal.com/dll_files/tsd32.zip doesn't work

Revision 1.85  2006/07/27 22:54:19  wolvverine
- up to 20060611

Revision 1.84  2006/06/09 15:02:36  blekot
- rel 1

Revision 1.83  2006/06/09 14:44:44  blekot
- updated to 20060501
- thx "Jacek 'jackass' Brzozowski" <metallowiec at op dot pl>

Revision 1.82  2006/04/22 18:50:12  glen
- rel 5

Revision 1.81  2006/04/22 17:12:21  glen
- rel 4

Revision 1.80  2006/04/22 17:09:38  glen
- wget required by rpm-build-tools, cpio by rpm-build
- cleanups

Revision 1.79  2006/01/02 10:54:31  ankry
- TODO added

Revision 1.78  2006/01/02 08:21:35  glen
- can't call scripts belonging to package in %pre; rel 3 (thx ankry
  for pointing it out)

Revision 1.77  2005/11/27 13:44:59  glen
- finish it; rel 2

Revision 1.76  2005/11/27 05:29:10  ankry
- No NoSource when --with license_agreement; user is responsible
  himself for not distributing

Revision 1.75  2005/11/24 22:50:22  mguevara
- yet another base url - www2

Revision 1.74  2005/11/06 10:15:59  adamg
- yet another source_url

Revision 1.73  2005/09/15 08:42:20  petec
- ftp1 doesn't response

Revision 1.72  2005/08/23 19:26:18  glen
- use shared installer script from SOURCES
- removed independent of available version hack (sorry ankry),
  the releases aren't that often that this is really neccessary, wait for new
  package on ftp instead. i choose unified(+readable+maintainable) scripts
  over this hack (which btw didn't work right now for me)
- NoSource for those binary files (i don't think they're distributable)

Revision 1.71  2005/08/23 18:57:26  glen
- use without macro

Revision 1.70  2005/04/15 07:15:57  tommat
- update to 20050412

Revision 1.69  2005/02/27 18:15:19  zboczuch
- update to 20050216

Revision 1.68  2005/02/08 09:07:39  zawadaa
- update to 20050115

Revision 1.67  2004/11/17 17:16:23  ankry
- make cvs build always the same

Revision 1.66  2004/11/17 01:11:03  kosmo
- added --passive-ftp to wget in get_version macro

Revision 1.65  2004/11/16 23:06:38  ankry
- be independent of available version, rel. 2 (needs more testing)

Revision 1.64  2004/11/08 21:09:00  arekm
- 20041107

Revision 1.63  2004/10/31 14:31:20  paladine
- spaces->tabs
- formatting

Revision 1.62  2004/10/17 20:38:59  adamg
- BuildRequires: unzip

Revision 1.61  2004/09/21 16:53:48  grzegorz
- update to 20040916

Revision 1.60  2004/09/12 21:43:24  jack
- updated to 20040809

Revision 1.59  2004/08/01 12:10:16  domelu
- sources changed to ftp1.mplayerhq.hu

Revision 1.58  2004/07/30 20:54:03  havner
- add --passive-ftp to wget, not everyone has global ip

Revision 1.57  2004/07/20 11:37:42  domelu
- typo

Revision 1.56  2004/07/10 09:12:12  ggodlewski
- 20040706 version

Revision 1.55  2004/06/30 06:19:15  kolodko
- added unzip to R, need by tsd32.zip

Revision 1.54  2004/06/28 17:08:03  pbern
- up to 2004026
- some fix

Revision 1.53  2004/05/10 22:27:45  kolodko
- fixed section !%{with license_agreement}

Revision 1.52  2004/04/28 19:50:27  jm
- added file tsd32.dll as suggested by Tomasz Grobelny

Revision 1.51  2004/03/14 14:07:37  eothane
- new bcond style, silly changelog cleanups

Revision 1.50  2004/03/12 00:25:55  gotar
- fixed script (export SOURCEDIR),
- removed empty %pre with license_agreement,
- simplified, cosmetics,
- release 5.

Revision 1.49  2004/03/11 01:26:54  undefine
- release 4 with new ac directory

Revision 1.48  2004/01/25 19:55:07  undefine
- release 3 for AC

Revision 1.47  2003/11/11 01:56:08  ankry
- unification

Revision 1.46  2003/09/09 15:55:35  gotar
- vanguard is in main tarball now

Revision 1.45  2003/08/14 23:51:21  grzegol
- commented out vanguard codec - no such file on mplayerhq site

Revision 1.44  2003/08/13 18:52:34  hunter
- s/pld.org.pl/pld-linux.org in wget ftp://*.src.rpm
- make dirs that are missing sometimes.

Revision 1.43  2003/06/28 22:30:27  gotar
- follow the new mplayer's codecs dir,
- s/w*ndows/binary,
- release 2.

Revision 1.42  2003/06/28 22:13:15  gotar
- Source[67] (dmo and mjpeg2k) allready included in Source0,
- new Source6 (vanguard),
- removed duplicated xanim files,
- NOTE:
  - not all of there files are win32!
  - there are overlapping files in rp8 and rp9.

Revision 1.41  2003/05/25 06:27:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/05/12 16:38:29  wolf
- updated source0
- %setup path from memory, mistake possible

Revision 1.39  2003/02/15 12:12:54  djurban
- fixed bcond

Revision 1.38  2002/12/15 16:21:06  adgor
- Obsoletes w32codec-qt

Revision 1.37  2002/12/14 23:50:45  djurban
- s/license/license/g (we should use BrE)
- Added more codecs
- Rel 5

Revision 1.36  2002/12/14 13:06:36  mkochano
- Added QT, RP8 & 9 and more.

Revision 1.35  2002/10/25 19:47:57  radek
- simplified

Revision 1.34  2002/10/12 10:00:44  ankry
- redirect to main ftp; rel. 3

Revision 1.33  2002/10/08 20:15:30  ankry
- release 1.7

Revision 1.32  2002/10/08 16:05:46  wiget
- give it chance to work

Revision 1.31  2002/10/08 14:24:18  ankry
- use macro

Revision 1.30  2002/10/08 10:10:42  ankry
- added target option, release 1.6

Revision 1.29  2002/09/24 13:15:44  ankry
- yet another solution of w32codec problem
- release 1.5, not much tested yet

Revision 1.27  2002/09/20 19:57:16  rrw
- version 0.90pre7;

Revision 1.26  2002/08/18 22:57:28  gotar
- readded some informations about package (I'm not sure about this
  license, and package builds empty by default),
- release 5.

Revision 1.25  2002/08/18 13:01:30  blues
- release 4 - license fix

Revision 1.24  2002/08/14 10:48:00  marcus
- fixed bcond

Revision 1.23  2002/08/02 17:55:02  kloczek
- release 4: reverse %{?with_license_agreement} macro - now by default will
  be builded empty package.

Revision 1.22  2002/07/28 12:14:42  kloczek
- release 3.

Revision 1.21  2002/04/16 09:44:07  ankry
- fixed source URL

Revision 1.20  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/28 10:31:00  marcus
- s/%{x86}/%{ix86}/g

Revision 1.17  2002/01/18 02:15:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/17 20:09:37  filon
- source is bz2 now, fixed build
- release 2

Revision 1.15  2002/01/17 18:29:28  filon
- updated to 0.60 (for mpalyer 0.60), MPLAYER RULEZ\!

Revision 1.14  2001/12/13 02:28:50  gotar
- typo.

Revision 1.13  2001/12/10 02:28:20  gotar
- removed redundant building empty package; we've got divx4linux now,
- release 2.

Revision 1.12  2001/11/13 16:57:53  misiek
- nosrc -> src

Revision 1.11  2001/11/07 11:18:45  qboosh
- more Groups

Revision 1.10  2001/10/28 16:43:36  arekmat
- updated to 0.50

Revision 1.9  2001/09/09 17:46:14  gotar
- cosmetical changes in descriptions.

Revision 1.8  2001/08/22 17:28:01  filon
- reverting last change

Revision 1.7  2001/08/21 18:47:28  filon
- removed unnecessary provides: avi-codecs

Revision 1.6  2001/08/06 18:54:41  blues
- typo

Revision 1.5  2001/07/30 15:08:13  baggins
- typo

Revision 1.4  2001/07/30 10:04:18  kloczek
- release 2: added "ExclusiveArch: %{ix86}".

Revision 1.3  2001/07/28 22:56:45  qboosh
- added Obsoletes: avi-codecs

Revision 1.2  2001/07/28 10:38:37  wrobell
- Conflicts: -> Provides:

Revision 1.1  2001/07/25 16:50:16  wrobell
- even avifile developers use w32codec, now, so avi-codecs
  is obsoleted in favour of w32codec, which contains fresh
  set of windows crap
